package com.ym.mec.biz.dal.dao;

import com.ym.mec.biz.dal.dto.PracticeSumDto;
import com.ym.mec.biz.dal.entity.PracticeLessonApply;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

public interface PracticeLessonApplyDao extends com.ym.mec.common.dal.BaseDAO<Integer, PracticeLessonApply> {


    /**
     * 根据学员编号获取陪练课申请
     * @param userId
     * @return
     */
    PracticeLessonApply findByUserId(Integer userId);

    /**
     * 陪练课列表页
     * @return
     */
    List<PracticeSumDto> practiceSum(@Param("userIds") Set<Integer> userIds);

    /**
     * 获取学生总人数
     * @return
     */
    Integer getTotalNum(@Param("userIds") Set<Integer> userIds);

    /**
     * 激活总人数
     * @return
     */
    Integer getActiveNum(@Param("userIds") Set<Integer> userIds);

    /**
     * 预约总人数
     * @return
     */
    Integer getMakeNum(@Param("userIds") Set<Integer> userIds);

    /**
     * @describe 检测用户是否已经预约
     * @author Joburgess
     * @date 2020/2/22
     * @param userId:
     * @return int
     */
    int checkUserIsApply(@Param("userId") Integer userId);
}
